%define	base_name	servletapi
%define	major_version	5
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		5.0.18
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java servlet and JSP implementation classes
License: 	Apache License
Group: 		Internet/WWW/Dynamic Content
Vendor:		JPackage Project
Distribution:	JPackage
Source:		%{full_name}-5-src.tar.gz
Url: 		http://jakarta.apache.org/tomcat
Requires:       /usr/sbin/update-alternatives
BuildRequires:	ant >= 1.5.4
BuildRequires:  jpackage-utils >= 1.5.30
BuildRequires:  java-javadoc
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#Obsoletes:	servlet4
#Obsoletes:	servlet23
Provides:	servlet
Provides:	servlet5
Provides:	servlet24

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group: 			Development/Documentation
Summary: 		Javadoc for %{name}

%description javadoc
Javadoc generated Documentation for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -T -a 0 -n %{full_name}-5-src

%build
# Fix us a license file first
cp -f jakarta-tomcat-%{version}-src/jakarta-servletapi-5/jsr154/LICENSE .

cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5

find . -type f -name "*.jar" -exec rm -f {} \;

pushd .
cd jsr154
ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd 

pushd .
cd jsr152
ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd


%install
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 jsr152/dist/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jspapi-%{version}.jar
install -m 644 jsr154/dist/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc jsp
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jsp-api-%{version}
cp -pr jsr152/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/jsp-api-%{version}
ln -s jsp-api-%{version} $RPM_BUILD_ROOT%{_javadocdir}/jsp-api # ghost symlink

# javadoc servlet
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr jsr154/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post
#update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-%{version}.jar 50
#update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/jsp-api-%{version}.jar 50

%postun
#if [ "$1" = "0" ]; then
#	update-alternatives --remove servlet %{_javadir}/%{name}-%{version}.jar
#	update-alternatives --remove jsp %{_javadir}/jsp-api-%{version}.jar
#fi

%post javadoc
rm -f %{_javadocdir}/%{name}
rm -f %{_javadocdir}/jsp-api
ln -s %{name}-%{version} %{_javadocdir}/%{name}
ln -s jsp-api-%{version} %{_javadocdir}/jsp-api

%files
%defattr(-,root,root)
%doc LICENSE
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/jsp-api-%{version}
%ghost %doc %{_javadocdir}/%{name}
%ghost %doc %{_javadocdir}/jsp-api


%changelog
* Fri Jan 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:5.0.18-1jpp
- Update to 5.0.18

* Wed Jan 21 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:5.0.16-2jpp
- Provide servlet, servlet5 and servlet24 (suggestion by Ralph Apel)

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:5.0.16-1jpp
- First build for JPackage

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> 0:5.0.16-0.2
- First build for internal use only
- Alternatives aren't enabled
- Was unable to figure out how to combine the javadoc trees so they
  stay separate
- Don't obsolete servletapi4 for now
